package com.gic.haoban.manage.service.service.out.impl;

import java.util.List;
import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.api.dto.StaffClerkRelationDTO;
import com.gic.haoban.manage.api.service.StaffClerkRelationApiService;
import com.gic.haoban.manage.service.service.StaffClerkRelationService;

@Service
public class StaffClerkRelationApiServiceImpl implements StaffClerkRelationApiService {

	@Autowired
	private StaffClerkRelationService staffClerkRelatinService;
	@Override
	public List<StaffClerkRelationDTO> listBindCode(String enterpriseId, Set<String> clerkCodeList) {
		return staffClerkRelatinService.listBindCode(enterpriseId,clerkCodeList);
	}
	@Override
	public List<StaffClerkRelationDTO> listBindCodeByStaffId(List<String> enterpriseIdList, String staffId) {
		return staffClerkRelatinService.listBindCodeByStaffId(enterpriseIdList,staffId);
	}

}
